libosmo-sigtran 2.1.0.194-89e3 Osmocom SIGTRAN library

Data Fields
xua_msg Struct Reference

`#include <xua_msg.h>`

## Data Fields
struct llist_head | entry
struct xua_common_hdr | hdr
struct osmo_mtp_transfer_param | mtp
struct llist_head | headers

## Field Documentation

## ◆ entry

struct llist_head xua_msg::entry

Referenced by m3ua_rx_rkm_dereg_rsp(), m3ua_rx_rkm_reg_rsp(), xua_as_fsm_pending(), and xua_msg_copy().

## ◆ hdr

struct xua_common_hdr xua_msg::hdr

Referenced by data_hdr_from_m3ua(), gen_coerr(), gen_coref_without_conn(), gen_mtp_transfer_req_xua(), gen_relco(), gen_ret_msg(), gen_rlsd(), hmdt_message_for_distribution(), m3ua_encode_daud(), m3ua_encode_dava(), m3ua_encode_duna(), m3ua_encode_dupu(), m3ua_encode_notify(), m3ua_gen_error(), m3ua_rx_mgmt(), m3ua_rx_msg(), m3ua_rx_rkm(), m3ua_rx_snm(), m3ua_rx_snm_asp(), m3ua_rx_snm_sg(), m3ua_rx_xfer(), m3ua_to_msg(), m3ua_tx_snm_congestion(), m3ua_xfer_from_data(), osmo_sccp_to_xua(), osmo_sua_to_sccp(), peer_send(), peer_send_error(), sccp_sclc_rx_from_scrc(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), sccp_scoc_rx_inval_src_ref(), sccp_scoc_rx_unass_local_ref(), sccp_scrc_rx_sclc_msg(), sccp_scrc_rx_scoc_conn_msg(), scoc_fsm_conn_pend_out(), sua_encode_daud(), sua_encode_dava(), sua_encode_duna(), sua_encode_dupu(), sua_gen_error(), sua_is_connectionless(), sua_is_cr(), sua_rx_cl(), sua_rx_co(), sua_rx_mgmt(), sua_rx_msg(), sua_rx_snm_asp(), sua_rx_snm_sg(), sua_to_msg(), sua_tx_snm_congestion(), xua_dialect_check_all_mand_ies(), xua_from_msg(), xua_gen_msg_cl(), xua_gen_msg_co(), xua_gen_relre(), xua_hdr_dump(), xua_msg_copy(), xua_msg_dump(), xua_msg_event_map(), and xua_to_msg().

## ◆ headers

struct llist_head xua_msg::headers

Referenced by m3ua_rx_rkm_dereg_rsp(), m3ua_rx_rkm_reg_req(), m3ua_rx_rkm_reg_rsp(), m3ua_xfer_from_data(), xua_ies_to_sccp_opts(), xua_msg_add_data(), xua_msg_add_u32_data(), xua_msg_alloc(), xua_msg_copy(), xua_msg_dump(), xua_msg_find_tag(), xua_msg_free_tag(), and xua_to_msg().

## ◆ mtp

struct osmo_mtp_transfer_param xua_msg::mtp

Referenced by deliver_to_mtp_user(), ensure_opc_in_calling_ssn(), gen_mtp_transfer_req_xua(), hmrt_message_for_routing(), hmrt_mtp_xfer_request_l4_to_l3(), ipa_rx_msg_up(), m3ua_hmdc_rx_from_l2(), m3ua_rx_xfer(), mtp_user_prim_cb(), sccp_conn_xua_gen_relre_and_send(), sccp_sclc_rx_scrc_rout_fail(), sccp_scoc_rx_from_scrc(), sccp_scoc_rx_inval_opc(), scoc_fsm_conn_pend_out(), scoc_fsm_idle(), scoc_fsm_wait_conn_conf(), scrc_node_2(), ss7_as_select_asp(), sua2sccp_tx_m3ua(), sua_rx_cl(), sua_rx_co(), sua_rx_msg(), tx_coerr_from_xua(), tx_relco_from_xua(), tx_rlsd_from_xua_twoway(), xua_gen_msg_cl(), xua_gen_msg_co(), and xua_msg_copy().

The documentation for this struct was generated from the following file:

- src/xua_msg.h